package com.testor.module.train.examinationManage.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.testor.module.train.examinationManage.model.domain.TTrainExaminationManage;
import com.testor.module.train.examinationManage.model.dto.TTrainExaminationManageDelParam;
import com.testor.module.train.examinationManage.model.dto.TTrainExaminationManageParam;
import com.tongtech.tfw.backend.common.biz.models.BaseResponse;
import com.tongtech.tfw.backend.common.biz.models.BizGeneralResponse;
import com.tongtech.tfw.backend.common.models.supers.SuperService;

import java.util.List;
import java.util.Map;

/**
 * 考试管理—安全培训教育Service接口
 *
 * @author testor-framework
 * @date 2022-09-07 11:43:25
 */
public interface TTrainExaminationManageService extends SuperService<TTrainExaminationManage> {

    BaseResponse<Map<String, String>> addEntity(TTrainExaminationManageParam addRequest)throws Exception;

    BaseResponse<TTrainExaminationManageParam> getByIds(String id);

    BaseResponse<BizGeneralResponse> deleteEntity(TTrainExaminationManageDelParam deleteRequest)throws Exception;

    IPage<TTrainExaminationManageParam> getExamAffiliation(TTrainExaminationManageParam param, String parentIds, String orgId);

    BaseResponse<TTrainExaminationManageParam> addRepairExam(String id);

    BaseResponse<TTrainExaminationManageParam> relevantRepairExam(String id);

    BaseResponse<TTrainExaminationManage> randomAdd(String id)throws Exception;

    List<TTrainExaminationManageParam> getExamProjectPerson(String s);
}
